Subject: Re: bug#73310: tree-sitter makes cpu 100%

From: vinurs <[email-masked]>
Date: Wed, 18 Dec 2024 23:22:19 +0800

Hi,
Has there been any progress on this issue? It has been troubling me for a long time. My Emacs basically freezes every few minutes, and I have to restart Emacs.

 ------------
Sincerely,

Haiyuan Zhang, Vinurs
BinaryBrain LLC

开 2024年12月12日 在 12:52:35, Yuan Fu ([email-masked]) 写到:

> On Dec 11, 2024, at 12:10 AM, vinurs <[email-masked]> wrote:

> Hi,

> I checked the md5<CleanShot 2024-12-11 at [email-masked]>

Thanks for your patience on this. And actually, you’re right. I can reproduce this now. I couldn’t reproduce it before because I was pressing space too fast. I was messing around with the reproduce steps and found that if I press the two spaces slower, I can reliably reproduce this.

This is baffling because the C reproduce program I built to exactly replicate this recipe doesn’t hang after the fix in tree-sitter. Once I figure out why I’ll send another bug report to tree-sitter. And sorry that this wasn’t fixed.

Yuan